Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Class ALRestrictionManager

    java.lang.Object
      org.jasig.portal.layout.restrictions.alm.ALRestrictionManager

All Implemented Interfaces:
  IALRestrictionManager, IRestrictionManager

    public class ALRestrictionManager

extends java.lang.Object
implements IALRestrictionManager

An implementation of Restriction Manager Interface

Since:
  uPortal 2.5
Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Field Summary
`private IAggregatedLayout` | `layout`
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ALRestrictionManager()`
`ALRestrictionManager(IAggregatedLayout layout)`

Method Summary
`boolean` | `checkAddRestrictions(ILayoutNode node, java.lang.String parentId, java.lang.String nextSiblingId)` Checks the necessary restrictions while adding a new node
`boolean` | `checkDeleteRestrictions(java.lang.String nodeId)` Checks the necessary restrictions while deleting a node
`boolean` | `checkDepthRestrictions(java.lang.String nodeId, int depth)` Recursively checks the depth restrictions beginning with a given node
`boolean` | `checkDepthRestrictions(java.lang.String nodeId, java.lang.String newParentId)` Recursively checks the depth restrictions beginning with a given node
`boolean` | `checkMoveRestrictions(java.lang.String nodeId, java.lang.String newParentId, java.lang.String nextSiblingId)` Checks the necessary restrictions while moving a node
`boolean` | `checkRestriction(ALNode node, java.lang.String restrictionName, java.lang.String propertyValue)` Checks the local restriction specified by the parameters below
`boolean` | `checkRestriction(ALNode node, java.lang.String restrictionName, java.lang.String restrictionPath, java.lang.String propertyValue)` Checks the restriction specified by the parameters below
`boolean` | `checkRestriction(java.lang.String nodeId, java.lang.String restrictionName, java.lang.String propertyValue)` Checks the local restriction specified by the parameters below
`boolean` | `checkRestriction(java.lang.String nodeId, java.lang.String restrictionName, java.lang.String restrictionPath, java.lang.String propertyValue)` Checks the restriction specified by the parameters below
`boolean` | `checkUpdateRestrictions(IUserLayoutNodeDescription nodeDescription)` Checks the necessary restrictions while updating a node.
`static PriorityRestriction` | `getPriorityRestriction(ALNode node)` Return a priority restriction for the given node.
`static PriorityRestriction` | `getPriorityRestriction(ALNode node, java.lang.String restrictionPath)` Return a priority restriction for the given node.
`static IUserLayoutRestriction` | `getRestriction(ALNode node, java.lang.String restrictionName, java.lang.String restrictionPath)` Gets the restriction specified by the parameters below
`void` | `setUserLayout(IUserLayout layout)` Sets the user layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### layout

    private IAggregatedLayout layout

Constructor Detail

### ALRestrictionManager

    public ALRestrictionManager()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

### ALRestrictionManager

    public ALRestrictionManager(IAggregatedLayout layout)
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### setUserLayout

    public void setUserLayout(IUserLayout layout)
                       throws PortalException

  Description copied from interface: `IRestrictionManager`
  Sets the user layout.

  Specified by:
    `setUserLayout` in interface `IRestrictionManager`
  Parameters:
    `layout` - a `IUserLayout` user layout to be checked
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    public boolean checkRestriction(java.lang.String nodeId,
                                    java.lang.String restrictionName,
                                    java.lang.String restrictionPath,
                                    java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction specified by the parameters below

  Specified by:
    `checkRestriction` in interface `IRestrictionManager`
  Parameters:
    `nodeId` - a `String` node ID
    `restrictionName` - a restriction name
    `restrictionPath` - a `String` restriction path
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    public boolean checkRestriction(java.lang.String nodeId,
                                    java.lang.String restrictionName,
                                    java.lang.String propertyValue)
                             throws PortalException

  Checks the local restriction specified by the parameters below

  Specified by:
    `checkRestriction` in interface `IRestrictionManager`
  Parameters:
    `nodeId` - a `String` node ID
    `restrictionName` - a restriction name
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    public boolean checkRestriction(ALNode node,
                                    java.lang.String restrictionName,
                                    java.lang.String restrictionPath,
                                    java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction specified by the parameters below

  Specified by:
    `checkRestriction` in interface `IALRestrictionManager`
  Parameters:
    `node` - a `ALNode` node to be checked
    `restrictionName` - a restriction name
    `restrictionPath` - a `String` restriction path
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkRestriction

    public boolean checkRestriction(ALNode node,
                                    java.lang.String restrictionName,
                                    java.lang.String propertyValue)
                             throws PortalException

  Checks the local restriction specified by the parameters below

  Specified by:
    `checkRestriction` in interface `IALRestrictionManager`
  Parameters:
    `node` - a `ALNode` node to be checked
    `restrictionName` - a restriction name
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkAddRestrictions

    public boolean checkAddRestrictions(ILayoutNode node,
                                        java.lang.String parentId,
                                        java.lang.String nextSiblingId)
                                 throws PortalException

  Checks the necessary restrictions while adding a new node

  Specified by:
    `checkAddRestrictions` in interface `IRestrictionManager`
  Parameters:
    `node` - a `ILayoutNode` a new node to be added
    `parentId` - a `String` parent node ID
    `nextSiblingId` - a `String` next sibling node ID
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkMoveRestrictions

    public boolean checkMoveRestrictions(java.lang.String nodeId,
                                         java.lang.String newParentId,
                                         java.lang.String nextSiblingId)
                                  throws PortalException

  Checks the necessary restrictions while moving a node

  Specified by:
    `checkMoveRestrictions` in interface `IRestrictionManager`
  Parameters:
    `nodeId` - a `String` node ID of a node to be moved
    `newParentId` - a `String` new parent node ID
    `nextSiblingId` - a `String` next sibling node ID
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkDeleteRestrictions

    public boolean checkDeleteRestrictions(java.lang.String nodeId)
                                    throws PortalException

  Checks the necessary restrictions while deleting a node

  Specified by:
    `checkDeleteRestrictions` in interface `IRestrictionManager`
  Parameters:
    `nodeId` - a `String` node ID of a node to be deleted
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkDepthRestrictions

    public boolean checkDepthRestrictions(java.lang.String nodeId,
                                          java.lang.String newParentId)
                                   throws PortalException

  Recursively checks the depth restrictions beginning with a given node

  Specified by:
    `checkDepthRestrictions` in interface `IRestrictionManager`
  Parameters:
    `nodeId` - a `String` node ID
    `newParentId` - a `String` new parent node ID
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### checkDepthRestrictions

    public boolean checkDepthRestrictions(java.lang.String nodeId,
                                          int depth)
                                   throws PortalException

  Recursively checks the depth restrictions beginning with a given node

  Specified by:
    `checkDepthRestrictions` in interface `IRestrictionManager`
  Parameters:
    `nodeId` - a `String` node ID
    `depth` - a depth on which the node is going to be attached
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

### getRestriction

    public static IUserLayoutRestriction getRestriction(ALNode node,
                                                        java.lang.String restrictionName,
                                                        java.lang.String restrictionPath)
                                                 throws PortalException

  Gets the restriction specified by the parameters below

  Parameters:
    `node` - a `ALNode` node
    `restrictionName` - a restriction name
    `restrictionPath` - a `String` restriction path
  Returns:
    a `IUserLayoutRestriction` instance
  Throws:
    `PortalException` - if an error occurs

### getPriorityRestriction

    public static PriorityRestriction getPriorityRestriction(ALNode node)
                                                      throws PortalException

  Return a priority restriction for the given node.

  Returns:
    a `PriorityRestriction` object
  Throws:
    `PortalException` - if an error occurs

### getPriorityRestriction

    public static PriorityRestriction getPriorityRestriction(ALNode node,
                                                             java.lang.String restrictionPath)
                                                      throws PortalException

  Return a priority restriction for the given node.

  Returns:
    a `PriorityRestriction` object
  Throws:
    `PortalException` - if an error occurs

### checkUpdateRestrictions

    public boolean checkUpdateRestrictions(IUserLayoutNodeDescription nodeDescription)
                                    throws PortalException

  Description copied from interface: `IRestrictionManager`
  Checks the necessary restrictions while updating a node.

  Specified by:
    `checkUpdateRestrictions` in interface `IRestrictionManager`
  Parameters:
    `nodeDescription` - a `IUserLayoutNodeDescription` node description of a node to be updated
  Returns:
    a boolean value
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD